MTASIM(1)

NAME
mtasim - MTA simulator for mailfromd

SYNOPSIS
mtasim [OPTION...]

DESCRIPTION
mtasim -- MTA simulator for mailfromd

    Mode selection

-b MODE
    set MTA mode (-bd or -bs)

--daemon
    run as daemon (same as -bd)

-g, --group=NAME
    retain the supplementary group NAME when switching to user privileges

--stdio
    use the SMTP protocol on standard input and output (same as -bs)

-u, --user=NAME
    run with this user privileges

    Operation modifiers

--body-chunk=NUMBER
    set the body chunk for xxfi_body calls

-D, --define=MACRO=VALUE
    define Sendmail macro

--[no-]interactive
    interactive mode

--milter-actions=BITMASK
    force the given Milter actions

--milter-proto=BITMASK set Milter protocol capabilities

--milter-timeout=F=V[,F=V...]
    set milter timeouts

--milter-version=VER
    force using the given Milter protocol version number

--prompt=STRING
    set readline prompt

--sender-sockaddr=FAMILY[,HOSTNAME,ADDRESS[,PORT]]
    set sender socket address

--[no-]statedir
    pass temporary directory to mailfromd as its state dir (with -Xauto)

-X, --port=PORT
    communicate with Milter PORT

    Debugging and tracing

-a, --[no-]append
    append to the trace file

--gacopyz-log=LEVEL
    set Gacopyz log level

--trace-file=FILE
    set name of the trace file

-v, --verbose
    increase verbosity level

    Informational options

--show-config-options
    show compilation options

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

AUTHOR
Written by Sergey Poznyakoff.

REPORTING BUGS
Report bugs to <bug-mailfromd@gnu.org.ua>. mailfromd home page: <http://www.gnu.org.ua/software/mailfromd>

COPYRIGHT
Copyright © 2005-2023 Sergey Poznyakoff License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for mtasim is maintained as a Texinfo manual. If the info and mtasim programs are properly installed at your site, the command

    info mtasim

should give you access to the complete manual.